# -*- coding: utf-8 -*-

"""
* Name:         cognitivefactory.interactive_clustering.sampling
* Description:  Constraints sampling module of the Interactive Clustering package.
* Author:       Erwan SCHILD
* Created:      17/03/2021
* Licence:      CeCILL (https://cecill.info/licences.fr.html)

This module provides several constraints sampling algorithm, that selecte relevant contraints to annotate by an expert :

- `abstract`: an abstract class that defines constraints sampling algorithms functionnalities. See [interactive_clustering/sampling/abstract](https://cognitivefactory.github.io/interactive-clustering/reference/cognitivefactory/interactive_clustering/sampling/abstract/) documentation ;
- `factory`: a factory to easily instantiate constraints sampling algorithm object. See [interactive_clustering/sampling/factory](https://cognitivefactory.github.io/interactive-clustering/reference/cognitivefactory/interactive_clustering/sampling/factory/) documentation ;
- `clusters_based`: a constraints sampling algorithm implementation that uses constraints annotation, data similarity and clustering results. See [interactive_clustering/sampling/clusters_based](https://cognitivefactory.github.io/interactive-clustering/reference/cognitivefactory/interactive_clustering/sampling/clusters_based/) documentation.
"""
